package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintInherentRisk;

public interface MaintInherentRiskService {
	
	List<MaintInherentRisk> getMaintInherentRisks();
	
	List<MaintInherentRisk> getMaintInherentRisksExceptThis(Integer legalEntityCode,String inherentRiskCode);
	
	MaintInherentRisk getMaintInherentRisk(Integer legalEntityCode, String inherentRiskCode, String status);
	
	DataTableResponse getMaintInherentRisks(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	List<MaintInherentRisk> getMaintInherentRiskforUpdate(Integer legalEntityCode, String status);
	
	void createMaintInherentRisk(List<MaintInherentRisk> maintInherentRisks)throws Exception;
	
	void updateMaintInherentRisks(List<MaintInherentRisk> maintInherentRisks);
	
	Boolean isMaintInherentRisk(Integer legalEntityCode);
	
	MaintInherentRisk getInherentRiskOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isInherentRiskCode(Integer legalEntityCode,  String inherentRiskCode);
}
